Get all case messages

get

/api/boss/data/objects/ora/cxServiceCore/case/v1:1072/$en/cases/{cases_id}/messages

Request

Path Parameters
  • This path parameter maps to the following field defined in the Cases REST resource:
    1. caseNumber: The unique number that's used to identify a case. You can edit the case number to a format that's best suitable to your requirements.
Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

An array of items response
Body ()
Root Schema : oraCxServiceCoreCase.CaseMessage_collection-response
Match All
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessage_collection-response-allOf[1]
Type: object
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessage_item-response
Match All
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessage_item
Match All
Case messages are used to initiate or update a case. These messages are used to manage and track communications related to the case.
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessage_item-fields
Type: object
Show Source
Nested Schema : Case Message
Type: object
Title: Case Message
Case messages are used to initiate or update a case. These messages are used to manage and track communications related to the case.
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessage_item-response-allOf[2]
Type: object
Show Source
Nested Schema : case
Match All
Show Source
Nested Schema : messageTypeCd
Match All
The code that indicates the type of message.
Show Source
  • Title: Message Type
    Read Only: true
    The code that indicates the type of message.
  • Allowed Values: [ "ORA_SVC_NOTE" ]
Nested Schema : parentMessage
Match All
The parent message for this record.
Show Source
Nested Schema : postedByParty
Match All
The party ID of user who posted the message.
Show Source
Nested Schema : source
Match All
The code that indicates how the message was entered into the system.
Show Source
Nested Schema : statusCd
Match All
The code that indicates the status of the message.
Show Source
  • Title: Status Code
    Read Only: true
    The code that indicates the status of the message.
  • Allowed Values: [ "ORA_SVC_COMMITTED" ]
Nested Schema : visibilityCd
Match All
The code that indicates visibility of a message.
Show Source
  • Title: Visibility
    Read Only: true
    The code that indicates visibility of a message.
  • Allowed Values: [ "ORA_SVC_INTERNAL", "ORA_SVC_EXTERNAL" ]
Nested Schema : oraCxServiceCoreCase.Case_item-fields
Type: object
Show Source
Nested Schema : Case
Type: object
Title: Case
Nested Schema : allegation
Match All
The allegation code of a case.
Show Source
Nested Schema : assigneeResource
Match All
The resource assigned to the case.
Show Source
Nested Schema : businessUnit
Match All
The business unit associated with the case.
Show Source
Nested Schema : caseType
Match All
The case type of the case.
Show Source
Nested Schema : category
Match All
The category to which the case is assigned.
Show Source
Nested Schema : complaintType
Match All
The complaint type code of a case.
Show Source
Nested Schema : createdByParty
Match All
The unique identifier of the user who created the case.
Show Source
Nested Schema : filedByType
Match All
The filed by type code of a case.
Show Source
Nested Schema : incidentType
Match All
The incident type code of a case.
Show Source
Nested Schema : lastUpdatedByParty
Match All
The unique identifier of the user who last updated the case.
Show Source
Nested Schema : measuresTaken
Match All
The measures taken under the code of the case.
Show Source
Nested Schema : primaryContact
Match All
The primary contact associated to the case.
Show Source
Nested Schema : priority
Match All
The priority of the case.
Show Source
Nested Schema : queue
Match All
The queue to which the case is assigned.
Show Source
Nested Schema : reportedByParty
Match All
The unique identifier of the user who reported the case.
Show Source
Nested Schema : resolvedByParty
Match All
The unique identifier of the user who resolved the case.
Show Source
Nested Schema : reviewedBy
Match All
The code indicating who reviewed the case.
Show Source
Nested Schema : sensitivity
Match All
The sensitivity of the case.
Show Source
Nested Schema : source
Match All
The source of the case.
Show Source
Nested Schema : status
Match All
The status of the case.
Show Source
Nested Schema : statusTypeCd
Match All
The code indicates the status type of the case.
Show Source
  • Title: Status Type
    Read Only: true
    The code indicates the status type of the case.
  • Allowed Values: [ "ORA_SVC_ACTIVE", "ORA_SVC_CLOSED", "ORA_SVC_INACTIVE", "ORA_SVC_RESOLVED", "ORA_SVC_SUSPENDED" ]
Nested Schema : stripeCd
Match All
The code indicating the stripe of the case.
Show Source
  • Title: Stripe Code
    Read Only: true
    The code indicating the stripe of the case.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item-allOf[0]
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Allegation
Type: object
Title: Allegation
The allegation code of a case.
Nested Schema : owningType
Match All
The standard lookup types list of values resource is used to query the list of standard lookup types.
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupType_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Standard Lookup Type
Type: object
Title: Standard Lookup Type
The standard lookup types list of values resource is used to query the list of standard lookup types.
Nested Schema : configurationLevel
Match All
Show Source
Nested Schema : restAccessSecured
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "ANON", "AUTH", "SECURE" ]
Nested Schema : taxonomyNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : hierarchySource
Match All
The taxonomy hierarchy represents relationships between taxonomy nodes.
Show Source
Nested Schema : moduleType
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "APPLICATION", "LBA", "PAGE", "PRODUCT_LINE", "DELIVERY_ROOT", "FAMILY" ]
Nested Schema : oraCommonAppsInfraObjects.TaxonomyHierarchy_item-fields
Type: object
Show Source
Nested Schema : Taxonomy Hierarchy
Type: object
Title: Taxonomy Hierarchy
The taxonomy hierarchy represents relationships between taxonomy nodes.
Nested Schema : sourceNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : targetNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : $context
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : oraCxSalesCommonResourceMgmt.Resource_item-fields
Type: object
Show Source
Nested Schema : Assignee Party Name
Type: object
Title: Assignee Party Name
The resource assigned to the case.
Nested Schema : corporateCurrency
Match All
The corporate currency code for the record.
Show Source
Nested Schema : currency
Match All
The currency code for the record.
Show Source
Nested Schema : person
Match All
The accessor for Person in Resource business object.
Show Source
Nested Schema : timezone
Match All
Show Source
Nested Schema : oraErpCoreCurrencySetup.Currency_item-fields
Match All
Show Source
Nested Schema : oraErpCoreCurrencySetup.Currency_item-fields-allOf[0]
Type: object
Show Source
Nested Schema : oraErpCoreCurrencySetup.Currency_item-fields-allOf[1]
Type: object
Nested Schema : Corporate Currency Code
Type: object
Title: Corporate Currency Code
The corporate currency code for the record.
Nested Schema : deriveTypeInformation
Match All
A currency derivation type indicates whether amounts are in euros or derived from the euro. Possible values are defined in lookup type FND_CURRENCIES_DERIVATION_TYPE.
Show Source
Nested Schema : Derivation Type
Type: object
Title: Derivation Type
A currency derivation type indicates whether amounts are in euros or derived from the euro. Possible values are defined in lookup type FND_CURRENCIES_DERIVATION_TYPE.
Nested Schema : Currency Code
Type: object
Title: Currency Code
The currency code for the record.
Nested Schema : oraCxSalesCommonResourceMgmt.ResourcePerson_item-fields
Match All
Show Source
Nested Schema : oraCxSalesCommonResourceMgmt.ResourcePerson_item-fields-allOf[0]
Type: object
Show Source
  • Title: Internal
    Read Only: true
    Default Value: false
    Indicates whether the person is an internal member of the organization. If Y, the person is an internal member. For example, employee or retired employee. If N they're an external person. For example, partner contact, supplier contact. Default value is set to N.
  • Title: Middle Name
    The middle name of the person.
  • Title: Person Name
    Read Only: true
    The combination of title, first, middle, last, and suffix names of the person.
Nested Schema : oraCxSalesCommonParty.Person_abstract-item
Type: object
Show Source
Nested Schema : oraCxSalesCommonResourceMgmt.ResourcePerson_item-fields-allOf[2]
Type: object
Show Source
  • Title: Comments
    The free text comments about the person.
  • Title: Do Not Call
    Indicates whether the person can be called or not. If the value is True, then the person must not be called. The default is False. A list of accepted values is defined using the lookup YES_NO.
  • Title: Do Not Contact
    Indicates whether the person can be contacted or not by phone, e-mail, or mail. If the value is True, then the person must not be contacted. The default is False. A list of accepted values is defined using the lookup YES_NO.
  • Title: Do Not Mail
    Indicates whether the person can be sent mail or not. If the value is True, then the person must not be sent mail. The default is False. A list of accepted values is defined using the lookup YES_NO.
  • Title: First Name
    First name of the person.
  • Title: Gender
    The gender of the person as identified by them. A list of accepted values are defined in the lookup HZ_GENDER.
  • Title: Person ID
    The unique identifier of the person profile.
  • Title: Job Title
    The free form text for job title of the person.
  • Title: Job Title Code
    The code given to the job title.
  • Title: Last Name
    The last name of the person.
  • Title: Preferred Contact Method
    The preferred communication method of a person. A list of accepted values is defined in the lookup HZ_PREFERRED_CONTACT_METHOD.
  • Title: Registry ID
    The alternate identifier of the contact.
  • Title: Salutation
    The phrase used to address a contact party in any correspondence.
  • Title: Prefix
    Contains titles or honorifics preceding a person's name, like Mr., Mrs., Ms., and so on. For example, Mr. in Mr. John Smith.
  • Title: Title
    A professional or family title, such as Don or The Right Honorable.
Nested Schema : Resource Person
Type: object
Title: Resource Person
The accessor for Person in Resource business object.
Nested Schema : gender
Match All
Show Source
Nested Schema : jobTitleCode
Match All
Show Source
  • Allowed Values: [ "ACCOUNTANT", "ACCOUNTS_PAYABLE_SPECIALIST", "ADMINISTRATOR", "ANALYST", "ARCHITECT", "ARTIST", "ASSISTANT", "ASSOCIATE", "ATTORNEY", "AUDITOR", "BROKER", "BUYER", "CEO", "CFO", "CHAIRMAN", "CIO", "CONSULTANT", "CONTRLR", "COO", "CTO", "DESIGNER", "DEVELOPER", "DIRECTOR", "EDITOR", "ENGINEER", "MANAGER", "OFFICER", "OPERATOR", "OWNER", "PARALEGAL", "PARTNER", "PHYSICIAN", "PLANNER", "PRESIDENT", "PRODUCER", "RECEPTIONIST", "REPORTER", "REPRESENTATIVE", "RESEARCHER", "STAFF", "SUPERVISOR", "TRAINER", "VICE PRESIDENT", "WRITER" ]
Nested Schema : preferredContactMethod
Match All
Show Source
Nested Schema : salutoryIntroduction
Match All
Show Source
Nested Schema : timezone
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.Timezone_item-fields
Type: object
Show Source
Nested Schema : Time Zone
Type: object
Title: Time Zone
Nested Schema : Time Zone
Type: object
Title: Time Zone
Nested Schema : oraErpCoreStructure.BusinessUnit_item-fields
Match All
Show Source
Nested Schema : oraHcmHrCoreWorkStructures.Organization_abstract-item
Match All
Show Source
Nested Schema : oraErpCoreStructure.BusinessUnit_item-fields-allOf[0]
Type: object
Show Source
Nested Schema : oraHcmHrCoreWorkStructures.Organization_abstract-item-allOf[0]
Type: object
Show Source
Nested Schema : oraHcmHrCoreWorkStructures.OrganizationBase_abstract-item
Type: object
Show Source
Nested Schema : oraErpCoreStructure.BusinessUnit_item-fields-allOf[2]
Type: object
Show Source
Nested Schema : oraErpCoreStructure.BusinessUnit_item-fields-allOf[3]
Type: object
Nested Schema : Business Unit Name
Type: object
Title: Business Unit Name
The business unit associated with the case.
Nested Schema : actionOccurrence
Match All
Action Occurrence accessor for the organization.
Show Source
Nested Schema : location
Match All
Location accessor for the organization.
Show Source
Nested Schema : oraHcmHrCoreEmployment.ActionOccurrence_item-fields
Type: object
Show Source
Nested Schema : Action Occurrence
Type: object
Title: Action Occurrence
Action Occurrence accessor for the organization.
Nested Schema : action
Match All
Action accessor for action occurrence item.
Show Source
Nested Schema : actionReason
Match All
Action reason accessor for action occurrence item.
Show Source
Nested Schema : oraHcmHrCoreEmployment.Action_item-fields
Type: object
Show Source
Nested Schema : Action
Type: object
Title: Action
Action accessor for action occurrence item.
Nested Schema : oraHcmHrCoreEmployment.ActionReason_item-fields
Type: object
Show Source
Nested Schema : Action Reason
Type: object
Title: Action Reason
Action reason accessor for action occurrence item.
Nested Schema : oraHcmHrCoreWorkStructures.Location_item-fields
Match All
Show Source
Nested Schema : oraHcmHrCoreWorkStructures.Location_abstract-item
Match All
Show Source
Nested Schema : oraHcmHrCoreWorkStructures.Location_abstract-item-allOf[0]
Type: object
Show Source
Nested Schema : oraHcmHrCoreWorkStructures.LocationBase_abstract-item
Type: object
Show Source
Nested Schema : oraHcmHrCoreWorkStructures.Location_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Location
Type: object
Title: Location
Location accessor for the organization.
Nested Schema : actionOccurrence
Match All
Action Occurrence accessor for the location.
Show Source
Nested Schema : country
Match All
Country name for the location address.
Show Source
Nested Schema : mainAddress
Match All
Main address accessor for the location.
Show Source
Nested Schema : setIdSet
Match All
Set Id set accessor for the location.
Show Source
Nested Schema : status
Match All
Show Source
Nested Schema : timezone
Match All
Time zone code for the location address.
Show Source
Nested Schema : Action Occurrence
Type: object
Title: Action Occurrence
Action Occurrence accessor for the location.
Nested Schema : oraCommonAppsInfraObjects.Territory_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.Territory_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.Territory_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Country
Type: object
Title: Country
Country name for the location address.
Nested Schema : oraHcmHrCoreWorkStructures.LocationAddress_item-fields
Match All
Show Source
Nested Schema : oraHcmHrCoreWorkStructures.LocationAddressBase_abstract-item
Type: object
Show Source
Nested Schema : oraHcmHrCoreWorkStructures.LocationAddress_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Main Address
Type: object
Title: Main Address
Main address accessor for the location.
Nested Schema : country
Match All
Country accessor for the location address.
Show Source
Nested Schema : location
Match All
Location accessor for the location address.
Show Source
Nested Schema : type
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "BILL", "BUSN", "CHK", "CODE", "H", "LEGL", "MAILING", "MAIN", "OTH", "T" ]
Nested Schema : Country
Type: object
Title: Country
Country accessor for the location address.
Nested Schema : Location
Type: object
Title: Location
Location accessor for the location address.
Nested Schema : oraCommonAppsInfraObjects.SetIdSet_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.SetIdSet_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.SetIdSet_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Set Id Set
Type: object
Title: Set Id Set
Set Id set accessor for the location.
Nested Schema : Time Zone
Type: object
Title: Time Zone
Time zone code for the location address.
Nested Schema : Case Type Code
Type: object
Title: Case Type Code
The case type of the case.
Nested Schema : oraCxServiceCoreCommon.Category_item-fields
Type: object
Show Source
Nested Schema : Case Category ID
Type: object
Title: Case Category ID
The category to which the case is assigned.
Nested Schema : businessUnit
Match All
The unique identifier of the business unit associated with the category.
Show Source
Nested Schema : parentCategory
Match All
Show Source
Nested Schema : stripeCode
Match All
The code indicating the application stripe of the service request category. A list of accepted values is defined in the lookup ORA_SVC_STRIPE_CD.
Show Source
  • Title: Stripe Code
    The code indicating the application stripe of the service request category. A list of accepted values is defined in the lookup ORA_SVC_STRIPE_CD.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : Business Unit
Type: object
Title: Business Unit
The unique identifier of the business unit associated with the category.
Nested Schema : Parent Category
Type: object
Title: Parent Category
Nested Schema : Complaint Type
Type: object
Title: Complaint Type
The complaint type code of a case.
Nested Schema : oraCxServiceCoreCommon.ServicePerson_item-fields
Match All
Show Source
Nested Schema : oraCxServiceCoreCommon.ServicePerson_item-fields-allOf[0]
Type: object
Show Source
Nested Schema : oraCxSalesCommonParty.Party_abstract-item
Type: object
Show Source
Nested Schema : oraCxServiceCoreCommon.ServicePerson_item-fields-allOf[2]
Type: object
Show Source
  • Title: Party ID
    The unique identifier of the party.
  • Title: Party Name
    The name of the party.
  • Title: Registry ID
    The public key generated or user-entered for a given party.
  • Title: Status
    Indicates the status of the contact point. The status codes are defined in the lookup HZ_STATUS. The default value is A.
Nested Schema : Created by Party ID
Type: object
Title: Created by Party ID
The unique identifier of the user who created the case.
Nested Schema : status
Match All
Show Source
Nested Schema : Filed by Type
Type: object
Title: Filed by Type
The filed by type code of a case.
Nested Schema : Incident Type
Type: object
Title: Incident Type
The incident type code of a case.
Nested Schema : Last Updated by Party
Type: object
Title: Last Updated by Party
The unique identifier of the user who last updated the case.
Nested Schema : Measures Taken
Type: object
Title: Measures Taken
The measures taken under the code of the case.
Nested Schema : oraCxServiceCoreCommon.CaseContact_item-fields
Match All
Show Source
Nested Schema : oraCxServiceCoreCommon.CaseContact_item-fields-allOf[0]
Type: object
Show Source
Nested Schema : oraCxServiceCoreCommon.CaseContact_item-fields-allOf[2]
Type: object
Show Source
  • Title: Comments
    The free text comments about the person.
  • Title: Do Not Call
    Indicates whether the person can be called or not. If the value is True, then the person must not be called. The default is False. A list of accepted values is defined using the lookup YES_NO.
  • Title: Do Not Contact
    Indicates whether the person can be contacted or not by phone, e-mail, or mail. If the value is True, then the person must not be contacted. The default is False. A list of accepted values is defined using the lookup YES_NO.
  • Title: Do Not Mail
    Indicates whether the person can be sent mail or not. If the value is True, then the person must not be sent mail. The default is False. A list of accepted values is defined using the lookup YES_NO.
  • Title: First Name
    First name of the person.
  • Title: Gender
    The gender of the person as identified by them. A list of accepted values are defined in the lookup HZ_GENDER.
  • Title: Person ID
    The unique identifier of the person profile.
  • Title: Job Title
    The free form text for job title of the person.
  • Title: Job Title Code
    The code given to the job title.
  • Title: Last Name
    The last name of the person.
  • Title: Middle Name
    The middle name of the person.
  • Title: Name
    The combination of title, first, middle, last, and suffix names of the person.
  • Title: Preferred Contact Method
    The preferred communication method of a person. A list of accepted values is defined in the lookup HZ_PREFERRED_CONTACT_METHOD.
  • Title: Registry ID
    The alternate identifier of the contact.
  • Title: Salutation
    The phrase used to address a contact party in any correspondence.
  • Title: Prefix
    Contains titles or honorifics preceding a person's name, like Mr., Mrs., Ms., and so on. For example, Mr. in Mr. John Smith.
  • Title: Title
    A professional or family title, such as Don or The Right Honorable.
Nested Schema : Primary Contact
Type: object
Title: Primary Contact
The primary contact associated to the case.
Nested Schema : employeeDetail
Match All
Show Source
Nested Schema : oraCxServiceCoreCommon.HcmPersonSourceSystemReference_item
Match All
The HCM person source system reference resource is used to view HCM source system references for party persons.
Show Source
Nested Schema : oraCxServiceCoreCommon.HcmPersonSourceSystemReference_item-fields
Match All
Show Source
Nested Schema : oraCxSalesCommonParty.SourceSystemReference_abstract-item
Type: object
Show Source
Nested Schema : oraCxServiceCoreCommon.HcmPersonSourceSystemReference_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : HCM Person Source System Reference
Type: object
Title: HCM Person Source System Reference
The HCM person source system reference resource is used to view HCM source system references for party persons.
Nested Schema : employeeDetail-allOf[2]
Type: object
Nested Schema : status
Match All
Show Source
  • Read Only: true
    Default Value: A
  • Allowed Values: [ "A", "I", "M" ]
Nested Schema : Priority
Type: object
Title: Priority
The priority of the case.
Nested Schema : oraCxServiceCoreCommon.Queue_item-fields
Type: object
Show Source
Nested Schema : Queue
Type: object
Title: Queue
The queue to which the case is assigned.
Nested Schema : stripeCode
Match All
The code indicating the application stripe of the queue. A list of accepted values is defined in the lookup ORA_SVC_STRIPE_CD.
Show Source
  • Title: Stripe Code
    Read Only: true
    The code indicating the application stripe of the queue. A list of accepted values is defined in the lookup ORA_SVC_STRIPE_CD.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : Reported by Party ID
Type: object
Title: Reported by Party ID
The unique identifier of the user who reported the case.
Nested Schema : Resolved by Party ID
Type: object
Title: Resolved by Party ID
The unique identifier of the user who resolved the case.
Nested Schema : Reviewed By
Type: object
Title: Reviewed By
The code indicating who reviewed the case.
Nested Schema : Sensitivity
Type: object
Title: Sensitivity
The sensitivity of the case.
Nested Schema : Source
Type: object
Title: Source
The source of the case.
Nested Schema : Status
Type: object
Title: Status
The status of the case.
Nested Schema : Parent Message
Type: object
Title: Parent Message
The parent message for this record.
Nested Schema : Poster Party ID
Type: object
Title: Poster Party ID
The party ID of user who posted the message.
Nested Schema : Source
Type: object
Title: Source
The code that indicates how the message was entered into the system.
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_collection-response
Match All
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_collection-response-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_item-response
Match All
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_item
Match All
Case message attachments are used to store attachments containing additional or supporting information about a message. The attachments contain files or documents associated with a specific message in the case.
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_item-fields
Match All
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_item-fields-allOf[0]
Type: object
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Attachment_abstract-item
Type: object
Show Source
Nested Schema : oraCxServiceCoreCase.CaseMessageAttachment_item-fields-allOf[2]
Type: object
Show Source
Nested Schema : Case Message Attachment
Type: object
Title: Case Message Attachment
Case message attachments are used to store attachments containing additional or supporting information about a message. The attachments contain files or documents associated with a specific message in the case.
Nested Schema : category
Match All
The category of the attachment.
Show Source
  • Title: Attachment Category
    Read Only: true
    Default Value: MISC
    The category of the attachment.
  • Allowed Values: [ "MISC" ]
Nested Schema : document
Match All
The name of the accessor used to retrieve the document.
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraAttachments.Document_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Document Accessor
Type: object
Title: Document Accessor
The name of the accessor used to retrieve the document.
Nested Schema : chunkingDirectives
Type: object
Show Source
Nested Schema : downloadParameters
Type: object
Show Source
Nested Schema : latestDocument
Match All
The latest version of the attached document.
Show Source
Nested Schema : type
Match All
Show Source
  • Allowed Values: [ "FILE", "WEB_PAGE", "TMURI", "TEXT" ]
Nested Schema : uploadParameters
Type: object
Show Source
Nested Schema : chunkCount
Match All
The required number of chunked files to be uploaded to the content server.
Show Source
Nested Schema : chunkSize
Match All
The required size of each chunked file to be uploaded to the content server.
Show Source
Nested Schema : prefix
Match All
The prefix used in the file names of the chunked files.
Show Source
  • Title: Document
    The prefix used in the file names of the chunked files.
Nested Schema : version
Match All
Show Source
Nested Schema : XFND_CERT_FP
Match All
Show Source
Nested Schema : XFND_EXPIRES
Match All
Show Source
Nested Schema : XFND_RANDOM
Match All
Show Source
Nested Schema : XFND_SCHEME_ID
Match All
Show Source
Nested Schema : XFND_SIGNATURE
Match All
Show Source
Nested Schema : Latest Document
Type: object
Title: Latest Document
The latest version of the attached document.
Nested Schema : Document
Type: object
Title: Document
Directives for customers uploading chunked files.
Nested Schema : Download Parameters
Type: object
Title: Download Parameters
Used to get the parameters required to download a file type document.
Nested Schema : Upload Parameters
Type: object
Title: Upload Parameters
Used to get the parameters required to upload a file type document.
Nested Schema : XFND_CERT_FP
Match All
Show Source
Nested Schema : XFND_EXPIRES
Match All
Show Source
Nested Schema : XFND_RANDOM
Match All
Show Source
Nested Schema : XFND_SCHEME_ID
Match All
Show Source
Nested Schema : XFND_SIGNATURE
Match All
Show Source
Back to Top